> For the complete documentation index, see [llms.txt](https://docs.apono.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apono.io/metadata-for-integration-config/integration-metadata/cloudfunction-custom-integration.md).

# Cloud Function Custom Integration

## Example Usage

***

{% tabs %}
{% tab title="Terraform" %}
{% code title="cloudfunction-custom-integration-integration.tf" %}

```tf
resource "apono_integration" "cloudfunction-custom-integration-integration" {
  name                     = "Cloud Function Custom Integration"
  type                     = "cloudfunction-custom-integration"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["custom-cloud-function"]
  metadata = {
    access_details = "<Access Details>"
    custom_parameters = "<Custom Parameters>"
    project_id = "<Project ID>"
    region = "<Region>"
    function_name = "<Function Name>"
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Terraform V2" %}
{% code title="cloudfunction-custom-integration-integration.tf" %}

```tf
resource "apono_resource_integration" "cloudfunction-custom-integration-integration" {
  name                     = "Cloud Function Custom Integration"
  type                     = "cloudfunction-custom-integration"
  connector_id             = "apono-connector-id"
  connected_resource_types = ["custom-cloud-function"]
  integration_config = {
    access_details = "<Access Details>"
    custom_parameters = "<Custom Parameters>"
    project_id = "<Project ID>"
    region = "<Region>"
    function_name = "<Function Name>"
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="Public API" %}
{% code title="cloudfunction-custom-integration-integration.json" %}

```json
{
    "cloudfunction-custom-integration-integration": {
        "name": "Cloud Function Custom Integration",
        "type": "cloudfunction-custom-integration",
        "connector_id": "apono-connector-id",
        "connected_resource_types": [
            "custom-cloud-function"
        ],
        "integration_config": {
            "access_details": "<Access Details>",
            "custom_parameters": "<Custom Parameters>",
            "project_id": "<Project ID>",
            "region": "<Region>",
            "function_name": "<Function Name>",
        }
    }
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

## Schema

***

* `type` cloudfunction-custom-integration
* `connected_resource_types` List of resource types to sync.

<details>

<summary>Available resource types you can use</summary>

* custom-cloud-function

</details>

### Integration Config

***

* `access_details` (Required | String) Access Details
* `custom_parameters` (Required | String) Custom Parameters
* `project_id` (Required | String) Project ID
* `region` (Required | String) Region
* `function_name` (Required | String) Function Name


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apono.io/metadata-for-integration-config/integration-metadata/cloudfunction-custom-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
